## NAME

d.geodesic - Displays a geodesic line, tracing the shortest distance between two geographic points along a great circle, in a longitude/latitude data set.
(GRASS Display Program)

## SYNOPSIS

d.geodesic
d.geodesic help
d.geodesic [coor=lon1,lat1,lon2,lat2] [lcolor=name] [tcolor=name]

## DESCRIPTION

d.geodesic displays a geodesic line in the active frame on the user's graphics monitor. This line traces the shortest distance between two user-specified points on the curved surface of a longitude/latitude data set. The two coordinate locations named must fall within the boundaries of the user's current geographic region.

## OPTIONS

This program can be run either interactively or non-interactively. If the user types d.geodesic on the command line without other program parameters, the mouse will be activated; the user is asked to use the mouse to indicate the starting and ending points of each geodesic line to be drawn. The default line color (white) and text color (red) will be used.

Alternately, the user can specify the starting and ending coordinates of the geodesic, line color, and text color on the command line, and run the program non-interactively.

Once the user indicates the starting and ending coordinates of the geodesic, the line and its length (in miles) are displayed to the user's graphics monitor.

### Parameters:

coor=lon1,lat1,lon2,lat2
  Starting and ending coordinates, in longitude and latitude values, of the geodesic line to be drawn.
lcolor=name
  Line color in which geodesic will be displayed.
  Options: red, orange, yellow, green, blue, magenta, indigo, violet, gray, white, black
  Default: white
tcolor=name
  Text color in which the length of the geodesic will be displayed.
  Options: red, orange, yellow, green, blue, magenta, indigo, violet, gray, white, black. Default: red

## NOTES

This program works only on GRASS data bases using a longitude/latitude coordinate system.

## SEE ALSO

d.rhumbline

## AUTHOR

Michael Shapiro, U.S. Army Construction Engineering Research Laboratory

Last changed: $Date: 2002/01/25 05:45:32 $